X2Go Bug report logs - #152
Add status={S,R] to session profile list items when returned through X2Go Session Broker

version graph

Package: x2gobroker; Maintainer for x2gobroker is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2gobroker is src:x2gobroker.

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Thu, 28 Mar 2013 14:48:01 UTC

Severity: wishlist

Tags: pending

Found in version 0.0.1.0

Fixed in version 0.0.2.3

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#152; Package x2gobroker. (Thu, 28 Mar 2013 14:48:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 28 Mar 2013 14:48:01 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: submit@bugs.x2go.org
Subject: Add status={S,R] to session profile list items when returned through X2Go Session Broker
Date: Thu, 28 Mar 2013 15:33:42 +0100
[Message part 1 (text/plain, inline)]
Package: x2gobroker
Severity: wishlist
Version: 0.0.1.0

X2Go Client supports the status session profile parameter (possible  
values: S, R). Let X2Go Session Broker provide such status information  
if available.

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#152; Package x2gobroker. (Tue, 04 Jun 2013 23:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 04 Jun 2013 23:33:02 GMT) Full text and rfc822 format available.

Message #10 received at 152@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 152-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 152@bugs.x2go.org
Subject: X2Go issue (in src:x2gobroker) has been marked as pending for release
Date: Wed, 5 Jun 2013 01:26:41 +0200 (CEST)
tag #152 pending
fixed #152 0.0.2.3
thanks

Hello,

X2Go issue #152 (src:x2gobroker) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2gobroker.git;a=commitdiff;h=1d5214d

The issue will most likely be fixed in src:x2gobroker (0.0.2.3).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 1d5214de08f6716826ed311f1751bf58ebd8c66e
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Wed Jun 5 01:26:24 2013 +0200

    Add status={S,R} to session profile list items when returned through X2Go Session Broker. (Fixes: #152). Handle taking over of running sessions and resuming sessions more reliably. Provide mechanism to suspend/terminate sessions through X2Go Server's (>= 4.0.0.3) x2gocleansessions daemon.

diff --git a/debian/changelog b/debian/changelog
index 009de91..9618aec 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -9,6 +9,10 @@ x2gobroker (0.0.2.3-0~x2go1) UNRELEASED; urgency=low
       sessions.
     - Make enable-plain-output, enable-uccs-output functional.
     - Add agent-quer-mode »NONE«. Disable X2Go Broker Agent calls completely.
+    - Add status={S,R} to session profile list items when returned through X2Go
+      Session Broker. (Fixes: #152). Handle taking over of running sessions and
+      resuming sessions more reliably. Provide mechanism to suspend/terminate
+      sessions through X2Go Server's (>= 4.0.0.3) x2gocleansessions daemon.
 
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 22 May 2013 17:42:12 +0200
 


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 04 Jun 2013 23:33:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 0.0.2.3. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 04 Jun 2013 23:33:02 GMT) Full text and rfc822 format available.

Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#152. (Tue, 04 Jun 2013 23:33:03 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#152; Package x2gobroker. (Fri, 07 Jun 2013 21:32:54 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 07 Jun 2013 21:32:54 GMT) Full text and rfc822 format available.

Message #22 received at 152@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 152-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 152@bugs.x2go.org
Subject: X2Go issue (in src:x2gobroker) has been marked as closed
Date: Fri, 7 Jun 2013 23:22:19 +0200 (CEST)
close #152
thanks

Hello,

we are very hopeful that X2Go issue #152 reported by you
has been resolved in the new release (0.0.2.3) of the
X2Go source project »src:x2gobroker«.

You can view the complete changelog entry of src:x2gobroker (0.0.2.3)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2gobroker.

    http://code.x2go.org/gitweb?p=x2gobroker.git;a=commitdiff;h=5a969b79741be3d85dc82738361dfda4fc10c75d;hp=6a16a5739fc702c12d3cc8738837a8a29cae8c12

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2gobroker.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2gobroker
Version: 0.0.2.3
Status: RELEASE
Date: Fri, 07 Jun 2013 23:21:29 +0200
Fixes: 152 218
Changes: 
 x2gobroker (0.0.2.3) RELEASED; urgency=low
 .
   * New upstream version (0.0.2.3):
     - inifile broker: Allow explicit specification combinations of
       »<hostname> (<address>)« in host= session profile field. (Fixes: #218).
     - Add rootless=false to example session profiles for all Desktop sessions in
       x2gobroker-sessionprofiles.conf.
     - Handle the rootless property automatically for know-by-name desktop
       sessions.
     - Make enable-plain-output, enable-uccs-output functional.
     - Add agent-quer-mode »NONE«. Disable X2Go Broker Agent calls completely.
     - Add status={S,R} to session profile list items when returned through X2Go
       Session Broker. (Fixes: #152). Handle taking over of running sessions and
       resuming sessions more reliably. Provide mechanism to suspend/terminate
       sessions through X2Go Server's (>= 4.0.1.0) x2gocleansessions daemon.


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 07 Jun 2013 21:32:55 GMT) Full text and rfc822 format available.

Notification sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug acknowledged by developer. (Fri, 07 Jun 2013 21:32:55 GMT) Full text and rfc822 format available.

Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#152. (Fri, 07 Jun 2013 21:32:56 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sat, 06 Jul 2013 05:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Jul 16 10:51:19 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.